# Uses of Interface
org.eclipse.core.databinding.validation.IValidator

Packages that use IValidator
Package
Description
org.eclipse.core.databinding
Provides classes for binding observable objects, for example UI widgets and model objects.
org.eclipse.core.databinding.bind.steps

## Uses of IValidator in org.eclipse.core.databinding

Fields in org.eclipse.core.databinding declared as IValidator
Modifier and Type
Field
Description
`protected IValidator<? super D>`
UpdateValueStrategy.`afterConvertValidator`
`protected IValidator<? super S>`
UpdateValueStrategy.`afterGetValidator`
`protected IValidator<? super D>`
UpdateValueStrategy.`beforeSetValidator`
Methods in org.eclipse.core.databinding that return IValidator
Modifier and Type
Method
Description
`protected IValidator<S>`
UpdateValueStrategy.`createValidator(Object fromType, Object toType)`
Tries to create a validator that can validate values of type fromType.
Methods in org.eclipse.core.databinding with parameters of type IValidator
Modifier and Type
Method
Description
`UpdateValueStrategy<S,D>`
UpdateValueStrategy.`setAfterConvertValidator(IValidator<? super D> validator)`
Sets the validator to be invoked after the source value is converted to the type of the destination observable.
`UpdateValueStrategy<S,D>`
UpdateValueStrategy.`setAfterGetValidator(IValidator<? super S> validator)`
Sets the validator to be invoked after the source value is retrieved at the beginning of the synchronization process.
`UpdateValueStrategy<S,D>`
UpdateValueStrategy.`setBeforeSetValidator(IValidator<? super D> validator)`
Sets the validator to be invoked before the value is to be set on the destination at the end of the synchronization process.

## Uses of IValidator in org.eclipse.core.databinding.bind.steps

Methods in org.eclipse.core.databinding.bind.steps with parameters of type IValidator
Modifier and Type
Method
Description
`THIS`
ValueCommonSteps.ValueWriteConfigStep.`validateAfterConvert(IValidator<? super T> validator)`
Sets the `after-convert` validator on the to-from direction on the resulting binding.
`THIS`
ValueCommonSteps.ValueReadConfigStep.`validateAfterGet(IValidator<? super F> validator)`
Sets the `after-get` validator to use for the active observable.
`THIS`
ValueCommonSteps.ValueWriteConfigStep.`validateBeforeSet(IValidator<? super T> validator)`
Sets the `before-set` validator for the to-from direction on the resulting binding.
`THIS`
ValueTwoWaySteps.ValueTwoWayConfigStep.`validateTwoWay(IValidator<? super T> validator)`
Sets the validator on both directions of the resulting binding.